ONS_MESSAGE(1)

NAME
ons_message -

DESCRIPTION

A message for a topic.

AVAILABLE COMMANDS

•   publish

  publish

  Description

Publishes a message to the specified topic.

The topic endpoint is required for this operation. To get the topic endpoint, use GetTopic <https://docs.cloud.oracle.com/api/#/en/notification/20181201/NotificationTopic/GetTopic> and review the apiEndpoint value in the response (NotificationTopic <https://docs.cloud.oracle.com/api/#/en/notification/20181201/NotificationTopic>).

Limits information follows.

Message size limit per request: 64KB.

Message delivery rate limit per endpoint: 60 messages per minute for HTTP-based protocols, 10 messages per minute for the EMAIL protocol. HTTP-based protocols use URL endpoints that begin with "http:" or "https:".

Transactions Per Minute (TPM) per-tenancy limit for this operation: 60 per topic.

For more information about publishing messages, see Publishing Messages <https://docs.cloud.oracle.com/iaas/Content/Notification/Tasks/publishingmessages.htm>. For steps to request a limit increase, see Requesting a Service Limit Increase <https://docs.cloud.oracle.com/iaas/Content/General/Concepts/servicelimits.htm#three>.

  Usage

oci ons message publish [OPTIONS]

  Required Parameters

--body [text]

    The body of the message to be published. For messageType of JSON, a default key-value pair is required. Example: {"default": "Alarm breached", "Email": "Alarm breached: <url>"}. Avoid entering confidential information.

--topic-id [text]

    The OCID <https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm> of the topic.

  Optional Parameters

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id --> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our "using CLI with advanced JSON options" link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--message-type [text]

    Type of message body in the request.

    Accepted values are:

    JSON, RAW_TEXT

--title [text]

    The title of the message to be published. Avoid entering confidential information.

  Global Parameters

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

AUTHOR
Oracle

COPYRIGHT
2016, 2020, Oracle